
Erluterung der Schlsselworte fr die BBS-Konvertierung:

DESCRIPTION (Mailer, RA, ProBoard, SuperBBS, QuickBBS, WME)

    Parameter: AREATAG, AREAMIXED oder AREACOMMENT

    Beispiel : DESCRIPTION AREAMIXED

    Zweck    : Fgt entweder den Area-Namen oder die Area-Beschreibung
               in das Namens-Feld der BBS-Config ein.
               Bei AREAMIXED wird aus beidem ein String gebildet:

                        AREATAG -> AREACOMMENT
                  z.B.  FASTECHO.GER -> Fido: Fragen zum Tosser Fastecho


KEEPAREAS   (RA, ProBoard, SuperBBS, QuickBBS, WME)

    Parameter: Keine

    Zweck    : Wenn angegeben, werden in der BBS-Config vorhandene
               Areas beibehalten (sofern sie nicht dieselbe Boardnummer
               haben wie Areas, die in FASTECHo.CFG stehen).

               Wenn nicht angegeben, wird vor der bernahme ein komplett
               leeres BBS-Config-File (MESSAGE.RA, BOARDS.BBS oder was auch
               immer) erstellt.

NO_HOLES  (Nur RA 2.00 und Proboard 2.00)

    Parameter: Keine

    Zweck    : JAM/Squish und *.MSG-Areas werden nun "am Stck" in
               MESSAGES.PB bzw. MESSAGES.RA bernommen. Es gibt keine
               Lcher mehr, wie es bisher der Fall war.
               Der Parameter %f bei [Areas] liefert dann allerdings
               nicht mehr die korrekte Boardnummer.

NOBADMAIL   (RA, ProBoard, SuperBBS, QuickBBS, WME)

    Parameter: Keine

    Zweck    : Die in Fastecho definierten Badmail-Boards werden nicht
               in die BBS-Config bernommen.

NODUPEMAIL  (RA, ProBoard, SuperBBS, QuickBBS, WME)

    Parameter: Keine

    Zweck    : Die in Fastecho definierten Dupe-Boards werden nicht
               in die BBS-Config bernommen.

EXCLUDE_GROUPS  (RA, ProBoard, SuperBBS, QuickBBS, WME)

    Parameter: Angabe der Gruppen

    Beispiel : EXCLUDE_GROUPS  AFG

    Zweck    : Areas, die in FastEcho den hier angegeben Gruppen
               zugeordnet sind, werden nicht in die BBS-Config
               bernommen.

USE_FE_RSEC (RA, ProBoard, SuperBBS, QuickBBS, WME)

    Parameter: Keine

    Zweck    : bernahme des Feldes "Security Read" aus dem FastEcho-
               Setup. Steht das Feld bei einer Area auf 0, so wird
               der Default-Wert bernommen.
               Bei Areas, die mit ECBOARD explizit definiert sind,
               hat dieses Schlsselwort keine Funktion, es wird auf
               jeden Fall der Wert von ECREADSEC bernommen.

USE_FE_WSEC (RA, ProBoard, SuperBBS, QuickBBS, WME)

    Parameter: Keine

    Zweck    : bernahme des Feldes "Security Write" aus dem FastEcho-
               Setup. Steht das Feld bei einer Area auf 0, so wird
               der Default-Wert bernommen.
               Bei Areas, die mit ECBOARD explizit definiert sind,
               hat dieses Schlsselwort keine Funktion, es wird auf
               jeden Fall der Wert von ECWRITESEC bernommen.

USE_FE_DAYS (RA, ProBoard, SuperBBS, QuickBBS)

    Parameter: Keine

    Zweck    : bernahme des Feldes "Purging #Days" aus dem FastEcho-
               Setup. Steht das Feld bei einer Area auf 0, so wird
               der Default-Wert bernommen.
               Bei Areas, die mit ECBOARD explizit definiert sind,
               hat dieses Schlsselwort keine Funktion, es wird auf
               jeden Fall der Wert von ECKILLDAYS bernommen.


USE_FE_COUNT  (RA, ProBoard, SuperBBS, QuickBBS)

    Parameter: Keine

    Zweck    : bernahme des Feldes "Purging #Msgs" aus dem FastEcho-
               Setup. Steht das Feld bei einer Area auf 0, so wird
               der Default-Wert bernommen.
               Bei Areas, die mit ECBOARD explizit definiert sind,
               hat dieses Schlsselwort keine Funktion, es wird auf
               jeden Fall der Wert von ECKILLCOUNT bernommen.

USE_FE_RECV (RA, ProBoard, SuperBBS, QuickBBS)

    Parameter: Keine

    Zweck    : bernahme des Feldes "Purging #Recv" aus dem FastEcho-
               Setup. Steht das Feld bei einer Area auf 0, so wird
               der Default-Wert bernommen.
               Bei Areas, die mit ECBOARD explizit definiert sind,
               hat dieses Schlsselwort keine Funktion, es wird auf
               jeden Fall der Wert von ECKILLRECV bernommen.

QWKNAME         (ProBoard, SuperBBS)

    Parameter: AREATAG oder AREACOMMENT

    Beispiel : DESCRIPTION AREATAG

    Zweck    : Fgt entweder den Area-Namen oder die Area-Beschreibung
               in das Feld QWKName der BBS-Config ein.

               Empfohlen wird AREATAG, da das Feld QWKName nicht allzulang
               ist und somit AREATAG nicht unbedingt eindeutig sein mu.

ECHONAME        (ProBoard)

    Parameter: AREATAG oder AREACOMMENT

    Beispiel : DESCRIPTION AREATAG

    Zweck    : Fgt entweder den Area-Namen oder die Area-Beschreibung
               in das Feld Echo-Tag der BBS-Config ein.

               Empfohlen wird AREATAG, da das Feld QWKName nicht allzulang
               ist und somit AREATAG nicht unbedingt eindeutig sein mu.

GENREADSEC  (RA, ProBoard, SuperBBS, QuickBBS, WME)

    Parameter: Read-Security und Read-Flags

                                            A-Flags  B-Flags  C-Flags  D-Flags
                                            12345678 12345678 12345678 12345678
    Beispiel : Ra/Qbbs/Sbbs: GENREADSEC 100 ---X---- -------- -------X --------
               Ra 2.00     : GENREADSEC 100 ---XO--O -------O -----O-- --------

                                            ABCDEFGHIJKLMNOPQRSTUVWXYZ123456
               ProBoard/WME: GENREADSEC 100 ---X-------------------X--------

               'X'= Flag gesetzt
               'O'= Flag nicht gesetzt (nur bei RA >2.00g)

    Zweck    : Festlegen der allgemeinen Read-Security fr alle Gruppen
               und Areas, die nicht via GRREADSEC oder ECREADSEC
               genauer definiert sind.


GENWRITESEC (RA, ProBoard, SuperBBS, QuickBBS, WME)

    Parameter: Write-Security und Write-Flags

                                            A-Flags  B-Flags  C-Flags  D-Flags
                                            12345678 12345678 12345678 12345678
    Beispiel: Ra/Qbbs/Sbbs: GENWRITESEC 100 ---X---- -------- -------X --------
              Ra 2.00     : GENWRITESEC 100 ---XO--O -------O -----O-- --------

                                            ABCDEFGHIJKLMNOPQRSTUVWXYZ123456
              ProBoard/WME: GENWRITESEC 100 ---X-------------------X--------

               'X'= Flag gesetzt
               'O'= Flag nicht gesetzt (nur bei RA >2.00g)

    Zweck    : Festlegen der allgemeinen Write-Security fr alle Gruppen
               und Areas, die nicht via GRWRITESEC oder ECWRITESEC
               genauer definiert sind.


GENSYSOPSEC (RA, ProBoard, SuperBBS, QuickBBS)

    Parameter: Sysop-Security und Sysop-Flags

                                            A-Flags  B-Flags  C-Flags  D-Flags
                                            12345678 12345678 12345678 12345678
    Beispiel: Ra/Qbbs/Sbbs: GENSYSOPSEC 100 ---X---- -------- -------X --------
              Ra 2.00     : GENSYSOPSEC 100 ---XO--O -------O -----O-- --------

                                            ABCDEFGHIJKLMNOPQRSTUVWXYZ123456
              ProBoard/WME: GENSYSOPSEC 100 ---X-------------------X--------

               'X'= Flag gesetzt
               'O'= Flag nicht gesetzt (nur bei RA >2.00g)

    Zweck    : Festlegen der allgemeinen Sysop-Security fr alle Gruppen
               und Areas, die nicht via GRSYSOPSEC oder ECSYSOPSEC
               genauer definiert sind.


GENTEMPLSEC  (nur QuickBBS)

    Parameter: Template-Security und Template-Flags

                                            A-Flags  B-Flags  C-Flags  D-Flags
                                            12345678 12345678 12345678 12345678
    Beispiel: QuickBBS    : GENTEMPLSEC 100 ---X---- -------- -------X --------

               'X'= Flag gesetzt

    Zweck    : Festlegen der allgemeinen Template-Security fr alle Gruppen
               und Areas, die nicht via GRTEMPLSEC oder ECTEMPLSEC
               genauer definiert sind.

GENGOTOSEC   (nur WME)

    Parameter: Goto-Security und Goto-Flags (Frag mich keiner, was das ist...)

                                            ABCDEFGHIJKLMNOPQRSTUVWXYZ123456
    Beispiel: WME         : GENGOTOSEC 100  ---X-------------------X--------

               'X'= Flag gesetzt

    Zweck    : Festlegen der allgemeinen Goto-Security fr alle Gruppen
               und Areas, die nicht via GRGOTOSEC oder ECGOTOSEC
               genauer definiert sind.

GENAREASEC   (nur WME)

    Parameter: Show-Security und Show-Flags

                                            ABCDEFGHIJKLMNOPQRSTUVWXYZ123456
    Beispiel: WME         : GENAREASEC 100  ---X-------------------X--------

               'X'= Flag gesetzt

    Zweck    : Festlegen der allgemeinen Show-Security fr alle Gruppen
               und Areas, die nicht via GRAREASEC oder ECAREASEC
               genauer definiert sind.

GENATTRIB       (RA, SuperBBS)

    Parameter: Bei RA: Bitfeld, 0-255 erlaubt, einzelne Settings
                       muessen addiert werden, siehe FECONV.DMO.

               Bei SuperBBS: 0 - 3, Alias-Handling

    Beispiel : RA -> GENATTRIB 7
                     fr Echo_Info, Combined Access und File-Attach
                     (reichlich sinnols, ich weiss ;-) ).

               SuperBBS -> GENATTRIB 2
                     fr "Fragen nach Alias"

    Zweck    : RA -> Genauere Definition der Areas

               Sbbs -> Setzen des Alias-Parameters


GENEXTATTRIB (nur Remote_Access 2.00)

    Parameter: 1 = Area ist in ALLEN Gruppen

    Beispiel : GENEXTATTRIB 1

    Zweck    : Siehe Ra.Doc

GENACCESSTYPE  (RA, ProBoard, SuperBBS, WME)
GENTYPE        (QuickBBS)

    Parameter: Status der Bretter (Beides, Privat, Oeffentlich, R/O, ...)

    Beispiel : GENACCESSTYPE 2
               GENTYPE       1

    Zweck    : Definition der Bretter bezueglich des Status der Mails.


GENKILLRECV (RA, ProBoard, SuperBBS, QuickBBS)

    Parameter: Anzahl der Tage, die bereits erhaltene Mails in den Areas
               verbleiben sollen.

    Beispiel : GENKILLRECV  14

    Zweck    : Angabe dient der Messagebase-Pflege. Kann vernachlssigt werden,
               wenn die Pflege mit FEUTIL erfolgt.

GENKILLDAYS (RA, ProBoard, SuperBBS, QuickBBS)

    Parameter: Anzahl der Tage, die Mails in den Areas erhalten bleiben sollen.

    Beispiel : GENKILLDAYS  14

    Zweck    : Angabe dient der Messagebase-Pflege. Kann vernachlssigt werden,
               wenn die Pflege mit FEUTIL erfolgt.

GENKILLCOUNT  (RA, ProBoard, SuperBBS, QuickBBS)

    Parameter: Anzahl der Mails, die in den Areas erhalten bleiben sollen.

    Beispiel : GENKILLCOUNT 100

    Zweck    : Angabe dient der Messagebase-Pflege. Kann vernachlssigt werden,
               wenn die Pflege mit FEUTIL erfolgt.

GENUSE_FE_ORIGIN (RA, ProBoard, SuperBBS, QuickBBS, WME)

    Parameter: Keine

    Zweck    : Wenn angegeben, werden fr alle Areas die Origins bernommen,
               die in FastEcho dafr angegeben sind.
               Bei manchen BBS-Programmen werden jedoch nur Verweise auf
               die Origins in den Brettern verwaltet, soda die Origins
               im BBS-Setup in der gleichen Reihenfolge wie in FE definiert
               werden mssen.
               Bei anderen steht der Text direkt je Area dabei, hier kann
               auf eine Definition der Origins in der BBS-Konfig verzichtet
               werden (gibt dann eh meist nur eine Default-Origin, siehe RA).
GENAGE

    Parameter: Das Alter, ab dem User auf Areas Zugriff haben knnen,
               nheres dazu in deiner BBS-Dokumentation.

    Beispiel : GENAGE 18

GENALIAS       (ProBoard, QuickBBS, WME)

    Parameter: Alias erlaubt oder nicht


    Beispiel : GENALIAS 1

    Zweck    : Setzen des Verhaltens betr. Alias-Namen in Echos.

GENGROUP       (QuickBBS)

    Parameter: Wie in QCONFIG ein String mit den Ziffern 1-8

    Beispiel : 1378

    Zweck    : Siehe QuickBBS-Dokumentation, ich wei es net, da ich
               kein QuickBBS fahre...

GENGROUP1
GENGROUP2
GENGROUP3
GENGROUP4      (alle nur RA)

    Parameter: Nummer der zugehrigen Nachrichten-Gruppe
               Es mssen immer ALLE 4 Keywords angegeben werden.

    Beispiel : GENGROUP1  2
               GENGROUP2  4
               GENGROUP3  10
               GENGROUP4  0

    Zweck    : Setzen der Gruppen, zu denen die Nachrichten-Bereiche
               gehren.
               Siehe auch GENEXTATTRIB.


GENUSEAKA      (nur SuperBBS

    Parameter: Die zu verwendende Aka

    Beispiel : GENUSEAKA 0

    Zweck    : Echomail-Areas mssen nun mal ne Adresse haben, unter denen
               die Mails dann getippert werden, kann ich nix dafr ;-)
               Bei den anderen BBS-Systemen wird die Adresse automatisch
               aus FE bernommen, bei SuperBBS mu ich das scheints noch
               einbauen... next release I think.

GENBEHAVE      (nur SuperBBS)

    Parameter: Wert zwischen 0 und 255

    Beispiel : GENBEHAVE 8

    Zweck    : Genauere Definition der Nachrichten-Bereiche

GENREPLYSTATUS (nur SuperBBS)

    Parameter:  Status der Antworten

    Beispiel :  GENREPLYSTATUS 2

    Zweck    : Festlegen, ob Antworten als Echo, Netmail oder gar nicht
               erlaubt sind.


GENCOMBINED    (nur QuickBBS)

    Parameter: Zugriff via "combined Areas" erlaubt.

    Beispiel : GENCOMBINED 0

    Zweck    : Siehe Parameter ;-)

GENDELETES     (nur QuickBBS)

    Parameter: Lschen erlaubt ?

    Beispiel : GENDELETES 0

    Zweck    : Festlegen, ob in der Area Mails gelscht werden drfen

GENMOD   (nur WME)

    Parameter: Name des Moderators

    Beispiel : GENMOD Volker Imre

    Zweck    : Keine Ahnung, siehe WME.DOC ;-)

GENPASSWORD    (nur WME)

    Parameter: ein Passwort halt...

    Beispiel : GENPASSWORD das ist keins

    Zweck    : siehe GENMOD....Zeit sollte man haben... ;-|

----------------------------------------------------------------------------

Die Bedeutung der GRxxx-Schlsselworte entspricht denen der GENxxx die oben
beschrieben wurden.

Als Parameter werden jedoch direkt hinter dem Schlsselwort noch eine oder
mehrere Gruppen OHNE Leerzeichen zwischen den Gruppenbuchstaben angegeben.
Die Gruppenbuchstaben bezeichnen die Gruppen, die in FastEcho definiert
sind.
Die Schlsselworte knnen mehrfach, mit unterschiedlichen Gruppen, angegeben
werden.

Beispiel:

GRAGE AFGHJ  45
GRAGE ZU     18

-> In den Areas der Gruppen AFGHJ drfen nur User lesen, die 45 oder lter
   sind.
-> In den Areas der Gruppen ZU drfen nur User lesen, die 18 oder lter
   sind.

GRREADSEC  HGI  25  -------X -------- -------- --------
GRREADSEC  AS  100  -X------ -------- -------- --------

-> Die Read-Security fr Areas der Gruppen HGI liegt bei 25, zustzlich
   mu das Flag A8 gesetzt sein.
-> Die Read-Security fr Areas der Gruppen AS liegt bei 100, zustzlich
   mu das Flag A2 gesetzt sein.

--------------------------------------------------------------------------

Die Bedeutung der ECxxx-Schlsselworte entspricht denen der GENxxx die oben
beschrieben wurden.

Jede Section ist in sich abgeschlossen und beginnt mit ECBOARD <areaname>
Es mssen je Section ALLE Schlsselworte angegeben werden, sonst ist der
Wert des entsprechenden Feldes undefiniert.

Beispiel:
ECBOARD FASTECHO.GER

-> Alle weiteren EC-Statements gelten fr die Area FASTECHO.GER
   Der Name mu exakt so geschrieben sein, wie in FASTECHO.CFG.





(c) 1993 by Volker Imre

Falls einer Lust hat, das Ding zu bersetzen, immerzu, aber bitte eine Kopie
hierher und obiges (c) nicht verndern.

cu
Volker
